## haskell-hxt-xslt 9.1.1

=== examples/Makefile ===
# Example Applications
#

EXAMPLES	= hparser
MORE_SAMPLES	= 

all		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i all ;)

test		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i $@ ;)

clean		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i $@ ;)

.PHONY		: all test clean

=== examples/hparser/Makefile ===
HXT_HOME	= ../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

prog		= ./HXmlParser

all		: $(prog)

$(prog)		: HXmlParser.hs
		$(GHC) --make -o $@ $<

force		:
		$(GHC) --make -o $(prog) $(prog).hs

test		: $(prog)
		@echo "===> run a few simple test cases with the validating parser"
		@echo "===> first see all command line options"
		$(prog) --help
		@echo
		$(MAKE) xslttest

xslttest	:
		$(MAKE) -C xslt test


clean		:
		rm -f $(prog) *.o *.hi

.PHONY		: all force test xslttest clean

=== examples/hparser/xslt/Makefile ===
# $Id: Makefile,v 1.1 2006/11/11 15:36:03 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

prog		= ../HXmlParser
xslt		= $(prog) --do-not-validate

all		:
		$(MAKE) -C .. all

test		:
		@echo "===> run a few simple xslt test cases with $(prog)"
		$(MAKE) test1

testcases	= \
		'strip_example.xsl     strip_example.xml' \
		'elems_and_attrs.xsl   example_document.xml' \
		'lre.xsl               example_document.xml' \
		'for_each_when_if.xsl  example_document.xml' \
		'prio.xsl              example_document.xml' \
		'default_rules.xsl     example_document.xml' \
		'vars_and_params.xsl   example_document.xml' \
		'lre_stylesheet.xsl    example_document.xml' \
		'imp_lre.xsl           example_document.xml' \
		'inc_lre.xsl           example_document.xml' \
		'comment_pi.xsl        example_document.xml' \
		'attset.xsl            example_document.xml' \
		'copy_copy_of.xsl      example_document.xml' \
		'copy_rec.xsl          example0.xml' \
		'sorting.xsl           example_document.xml' \
		'strip_space.xsl       exdoc2.xml' \
		'testEX.xsl            empty.xml' \
		'testNS.xsl            testNS.xml' \
		'default_prio.xsl      example_document2.xml'

test1		:
		for tc in $(testcases) ; \
		do \
			stylesheet=$$(echo $$tc | cut -d ' ' -f 1) ; \
			input=$$(echo $$tc | cut -d ' ' -f 2) ; \
			$(xslt) --xslt=$$stylesheet --output-file=$$stylesheet.out $$input ; \
			echo "Contents of $$stylesheet.out" ; \
			echo "============================" ; \
			cat $$stylesheet.out ; \
			echo ; \
		done

stylesheets	= $(wildcard *.xsl)
inputs		= $(wildcard *.xml)

clean		:
		rm -f *.xsl.out

.PHONY		: all test test1 clean

## haskell-hxt-xslt 9.0.0

=== debian/changelog ===
haskell-hxt-xslt (9.0.0-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Feb 2011 22:12:48 +0100

haskell-hxt-xslt (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601840)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:31 +0900

=== debian/control ===
Source: haskell-hxt-xslt
Section: haskell
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc6,
	ghc6-prof,
	ghc6-doc,
	libghc6-hxt-xpath-dev,
	libghc6-hxt-xpath-prof,
	libghc6-hxt-xpath-doc,
	libghc6-hxt-dev,
	libghc6-hxt-prof,
	libghc6-hxt-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc6-hxt-xslt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XSLT modules for HXT.
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-xslt-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XSLT modules for HXT.; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-xslt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XSLT modules for HXT.; documentation
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the library documentation.

=== debian/watch ===
version=3
opts=downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|  http://hackage.haskell.org/packages/archive/hxt-xslt  ([\d\.]*\d)/

## haskell-hxt-xslt 9.1.0

=== debian/changelog ===
haskell-hxt-xslt (9.1.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 11:24:35 +0900

=== debian/control ===
Source: haskell-hxt-xslt
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-hxt-xpath-dev,
	libghc-hxt-xpath-prof,
	libghc-hxt-xpath-doc,
	libghc-hxt-dev,
	libghc-hxt-prof,
	libghc-hxt-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-xslt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT.
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-hxt-xslt-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT.; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-hxt-xslt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT.; documentation
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 This package contains the library documentation.

## haskell-hxt-xslt 9.1.1

=== debian/changelog ===
haskell-hxt-xslt (9.1.1-6build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Jun 2015 08:23:14 +0100

haskell-hxt-xslt (9.1.1-6build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 18:15:53 +0100

haskell-hxt-xslt (9.1.1-6) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:59 +0200

haskell-hxt-xslt (9.1.1-5) experimental; urgency=low

  [ Colin Watson ]
  * Fix excessive punctuation in short descriptions (closes: #715201).

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:06 +0100

haskell-hxt-xslt (9.1.1-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:09 +0200

haskell-hxt-xslt (9.1.1-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:43 +0200

haskell-hxt-xslt (9.1.1-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:18 +0200

haskell-hxt-xslt (9.1.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3.
    + debian/copyright: Update to new style format 1.0.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 13:09:26 +0900

=== debian/control ===
Source: haskell-hxt-xslt
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
	haskell-devscripts (>= 0.9),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-hxt-xpath-dev,
	libghc-hxt-xpath-prof,
	libghc-hxt-xpath-doc,
	libghc-hxt-dev,
	libghc-hxt-prof,
	libghc-hxt-doc,
Standards-Version: 3.9.4
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-xslt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 ${haskell:Blurb}

Package: libghc-hxt-xslt-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 ${haskell:Blurb}

Package: libghc-hxt-xslt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XSLT modules for HXT${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XSLT library.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt-xslt/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
